<template>
	<v-app v-if="auth">
		<v-fab-transition>
			<v-btn v-show="!hidden" color="primary" fixed bottom right fab @click="$vuetify.goTo(target, options)">
				<v-icon>mdi-chevron-up</v-icon>
			</v-btn>
		</v-fab-transition>

		<v-main :style="$route.name == 'home' ? 'background: #F4F4F4;' : 'background: #FFFFFF;'">
			<nuxt />
		</v-main>
	</v-app>
</template>

<script>
import * as easings from 'vuetify/lib/services/goto/easing-patterns';

export default {
	data() {
		return {
			hidden: true,
			scrollTo: 0,
			easing: 'easeInOutCubic',
			easings: Object.keys(easings),
		};
	},

	loading: {
		color: 'green',
		height: '5px',
	},

	beforeMount() {
		window.addEventListener('scroll', this.handleScroll);
	},

	methods: {
		handleScroll() {
			if (window.scrollY >= 80) {
				this.hidden = false;
			} else {
				this.hidden = true;
			}
		},
	},

	beforeDestroy() {
		window.removeEventListener('scroll', this.handleScroll);
	},

	computed: {
		target() {
			return this.scrollTo;
		},
		options() {
			return {
				duration: 300,
				offset: 0,
				easing: this.easing,
			};
		},
		user() {
			return this.$store.getters['auth/user'];
		},
		auth() {
			return this.$store.getters['auth/check'];
		},
	},
};
</script>
